## org.apache.lucene.queryParser.core.nodes
Interface FieldValuePairQueryNode<T>

All Superinterfaces:
  FieldableNode, QueryNode, Serializable, ValueQueryNode<T>

All Known Implementing Classes:
  FieldQueryNode, FuzzyQueryNode, NumericQueryNode, ParametricQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, WildcardQueryNode

    public interface FieldValuePairQueryNode<T>

extends FieldableNode, ValueQueryNode<T>

This interface should be implemented by `QueryNode` that holds a field and an arbitrary value.

See Also:
  `FieldableNode`, `ValueQueryNode`

Method Summary

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.FieldableNode
`getField, setField`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, toQueryString, toString, unsetTag, unsetTag`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.ValueQueryNode
`getValue, setValue`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, toQueryString, toString, unsetTag, unsetTag`